database_api.list_vesting_delegation_expirations
since HF17
Purpose
Devuelve una lista de caducidades de delegación de vesting (vesting delegation expiration). Parámetros: start:array, limit:int, order:string
limites hasta 1000.orderpuede ser uno de:by_expiration- ordenar por caducidadstartes un array de dos valores:timestamp,expiration_id
by_account_expiration- ordenar por cuenta y caducidadstartes un array de dos valores:account,timestamp,expiration_id
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["1970-01-01T00:00:00", 0] | 10 | by_expiration | Consulta las delegaciones, límite de 10 resultados, orden por caducidad. |
["alice", "1970-01-01T00:00:00", 0] | 10 | by_account_expiration | Consulta la delegación desde esta fecha, límite de 10 resultados, orden por cuenta y caducidad. |
Véase también: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"alice",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_account_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 3076685,
"delegator": "anonsteem",
"vesting_shares": {
"amount": "6050629930",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T07:07:15"
}
]
}